#ifndef _EVENTS_H
#define _EVENTS_H

#include <signal.h>
#include "Types.h"

typedef unsigned int EventID;

typedef bool (*Handler) (EventID Event);

void cause_event( EventID event );
void init_events();
void add_handler(EventID i, Handler h);
void remove_handler(EventID i, Handler h);
EventID add_event();
int remove_event ( EventID e );
EventID signal_to_event ( int signal );


#endif
